%define anolis_release 1
%global modname oauthlib

Name:               python-oauthlib
Version:            3.2.2
Release:            %{anolis_release}%{?dist}
Summary:            An implementation of the OAuth request-signing logic

License:            BSD
URL:                https://github.com/oauthlib/oauthlib

Source0:            https://github.com/oauthlib/oauthlib/archive/refs/tags/v%{version}.tar.gz

BuildArch:          noarch

%description
OAuthLib is a generic utility which implements the logic of OAuth without
assuming a specific HTTP request object or web framework. Use it to graft
OAuth client support onto your favorite HTTP library, or provider support
onto your favourite web framework. If you're a maintainer of such a
library, write a thin veneer on top of OAuthLib and get OAuth support for
very little effort.

%package -n python3-oauthlib
Summary:            An implementation of the OAuth request-signing logic

BuildRequires:      python3-devel
BuildRequires:      python3-pytest

%description -n python3-oauthlib
OAuthLib is a generic utility which implements the logic of OAuth without
assuming a specific HTTP request object or web framework. Use it to graft
OAuth client support onto your favorite HTTP library, or provider support
onto your favourite web framework. If you're a maintainer of such a
library, write a thin veneer on top of OAuthLib and get OAuth support for
very little effort.

%pyproject_extras_subpkg -n python3-oauthlib signedtoken

%prep
%autosetup -p1 -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oauthlib

%check
echo 'import pytest; __getattr__ = lambda _: pytest.skip("this test needs jwt")' > jwt.py
%{pytest} \
  --ignore tests/oauth2/rfc6749/clients/test_service_application.py \
  --ignore tests/oauth2/rfc6749/clients/test_web_application.py \
  --ignore tests/oauth2/rfc6749/clients/test_mobile_application.py \
  --ignore tests/oauth2/rfc6749/clients/test_legacy_application.py \
  --ignore tests/oauth2/rfc6749/clients/test_backend_application.py \
  --ignore tests/oauth2/rfc6749/test_parameters.py

%files -n python3-oauthlib -f %{pyproject_files}
%doc README.rst

%changelog
* Wed Sep 20 2023 Funda Wang <fundawang@yeah.net> - 3.2.2-1
- New version 3.2.2

* Sat Dec 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.2.1-1
- update to 3.2.1

* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 3.2.0-1
- Init package from upstream v3.2.0
